[isar-cip-core][PATCH 2/5] kas/opt: Allow override of WKS_FILE in swupdate option


Quirin Gylstorff
 

From: Quirin Gylstorff <quirin.gylstorff@...>

This fixes an error if swupdate.yml is used together with
the secureboot options.

Signed-off-by: Quirin Gylstorff <quirin.gylstorff@...>
---
kas/opt/efibootguard.yml | 2 ++
kas/opt/swupdate.yml | 4 ++--
2 files changed, 4 insertions(+), 2 deletions(-)

diff --git a/kas/opt/efibootguard.yml b/kas/opt/efibootguard.yml
index 544c740..d5a0e39 100644
--- a/kas/opt/efibootguard.yml
+++ b/kas/opt/efibootguard.yml
@@ -23,4 +23,6 @@ local_conf_header:
efibootguard-wic: |
WDOG_TIMEOUT = "0"
WICVARS += "WDOG_TIMEOUT"
+ IMAGE_TYPE ?= "wic-img"
+ WKS_FILE ?= "${MACHINE}-${SWUPDATE_BOOTLOADER}.wks"

diff --git a/kas/opt/swupdate.yml b/kas/opt/swupdate.yml
index e622972..bd0f6e4 100644
--- a/kas/opt/swupdate.yml
+++ b/kas/opt/swupdate.yml
@@ -19,5 +19,5 @@ local_conf_header:
IMAGE_INSTALL_append = " swupdate"

wic-swu: |
- IMAGE_TYPE ?= "wic-swu-img"
- WKS_FILE = "${MACHINE}-${SWUPDATE_BOOTLOADER}.wks"
+ IMAGE_TYPE = "wic-swu-img"
+ WKS_FILE ?= "${MACHINE}-${SWUPDATE_BOOTLOADER}.wks"
--
2.20.1

Join cip-dev@lists.cip-project.org to automatically receive all group messages.